<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	//header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

	include_once '../config/database.php';
	include_once '../objects/suspend.php';
	include_once '../objects/sales_detail.php';
	$database = new Database();
	$db = $database->getConnection();

	$suspend = new Suspend($db);
	$sales_detail = new SalesDetail($db);
	$data = json_decode(file_get_contents("php://input"));

	$suspend->id = $data->id;
	$sales_detail->id = $data->id;
 
	if($suspend->delete()){
		$sales_detail->deleteFromSuspend();
	    echo 'deleted';
	}else{
	    echo 'error';
	}
?>